Subject: bug#11342: 24.1.50; HOOK variable name in `add-hook' etc. confusing

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Apr 2012 08:47:47 -0400

>> The manual sometimes calls these values being symbols "hook", and
>> sometimes "hook variable".
> * (elisp) Hooks::
>     A "hook" is a variable where you can store a function or functions to
>     be called on a particular occasion by an existing program.

Actually, we need to rework some of that, because it can't be just "any
variable": it has to be a dynamically-scoped variable, or rather it has
to be a symbol.

        Stefan